cpp11_msgpack_tuple_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/object_fwd.hpp"`
`#include "msgpack/meta.hpp"`
`#include <tuple>`

Go to the source code of this file.

## Classes

class | msgpack::type::tuple< Types >
struct | msgpack::MsgpackTuplePacker< Stream, Tuple, N >
struct | msgpack::MsgpackTupleAs< Args >
struct | msgpack::MsgpackTupleAsImpl< T, Args >
struct | msgpack::MsgpackTupleConverter< Tuple, N >
struct | msgpack::MsgpackTupleToObjectWithZone< Tuple, N >

## Namespaces

| msgpack
| msgpack::type

## Functions

template<class... Args>
tuple< Args... > | msgpack::type::make_tuple (Args &&... args)
template<class... Args>
tuple< Args &&... > | msgpack::type::forward_as_tuple (Args &&... args) noexcept
template<class... Tuples>
auto | msgpack::type::tuple_cat (Tuples &&... args) -> decltype(std::tuple_cat(std::forward< typename std::remove_reference< Tuples >::type::base >(args)...))
template<class... Args>
tuple< Args &... > | msgpack::type::tie (Args &... args)